List active users
curl --request GET \
--url https://{your-subdomain}.neetoauth.com/api/external/v2/users \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoauth.com/api/external/v2/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoauth.com/api/external/v2/users"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
},
"total_count": 123,
"users": [
{
"email": "oliver@example.com",
"role": "non_owner",
"first_name": "Oliver",
"last_name": "Smith"
}
]
}Users
List users
Lists all active users in the workspace.
GET
/
users
List active users
curl --request GET \
--url https://{your-subdomain}.neetoauth.com/api/external/v2/users \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoauth.com/api/external/v2/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoauth.com/api/external/v2/users"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
},
"total_count": 123,
"users": [
{
"email": "oliver@example.com",
"role": "non_owner",
"first_name": "Oliver",
"last_name": "Smith"
}
]
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Query Parameters
Page of results to retrieve, starting from 1. Defaults to 1 when omitted.
Number of results per page. Defaults to 30 when omitted.
Response
200 - application/json
OK - Request succeeded